%define gitver	3_gb38f1d2

Name:    	libjsmisc
Version: 	2.0
Release: 	2%{?gitver:.%{gitver}}%{?dist}
Summary: 	Small utility library for embeddable JavaScript

Group:   	Development/Languages
License: 	MIT
URL:     	https://github.com/mindbit/%{name}
Source0: 	%{url}/archive/v%{version}/%{name}-%{version}%{?gitver:-%{gitver}}.tar.gz

BuildRequires:	gcc gcc-c++
BuildRequires:	make
BuildRequires:	autoconf automake libtool
BuildRequires:	autoconf-archive
BuildRequires:	duktape-devel

%description
jsmisc is a small utility library for embeddable JavaScript, built on
top of the mozjs engine. Its main purpose is to provide a standard set
of JavaScript environment features that larger libraries or programs can
use.

%package devel
Summary:	Development tools needed to build programs that use libjsmisc
Requires:	%{name} = %{version}-%{release}

%description devel
The libjsmisc-devel package contains the header files necessary for
developing programs using the libjsmisc library.

%prep
%autosetup

%build
./bootstrap.sh
%configure --enable-debug
%make_build

%install
%make_install

%files
%doc README.md
%{_libdir}/libjsmisc.so.*

%files devel
%{_includedir}/jsmisc.h
%{_libdir}/libjsmisc.a
%{_libdir}/libjsmisc.la
%{_libdir}/libjsmisc.so

%changelog
* Thu Feb  6 2025 Radu Rendec <radu@rendec.net> - 2.0-2.3_gb38f1d2
- Update to Git v2.0-3-gb38f1d2

* Sat Jan 18 2025 Radu Rendec <radu@rendec.net> - 2.0-1.2_gbbee9bb
- Update to Git v2.0-2-gbbee9bb

* Sat Jun 24 2023 Radu Rendec <radu@rendec.net> - 1.1-2
- Enable debugging as quick workaround to avoid suppressing debug level
  log messages

* Fri Jun 23 2023 Radu Rendec <radu@rendec.net> - 1.1-1
- First spec file release
